Jak nainstalovat kernel 4.2.1 v Linux Mintu

kernel1

Po delší pauze oznámil v pondělí v podvečer Greg Kroah-Hartman vydání první aktualizace větve linuxového kernelu 4.2.

Linux kernel 4.2.1 přináší řadu vylepšení, počínaje zlepšením architektur ARM, x86, PowerPC (PPC), Xtensa a s390, opravy souborových systémů CEPH, EXT4, GFS2, HFS, HFS+, HPFS, OCFS2, OverlayFS, ReiserFS a XFS a konče vylepšením ovladačů sítí a zvukových karet.

Dále byly v novém kernelu aktualizovány ovladače, zejména pro ACPI (Advanced Configuration and Power Interface), ATA, CLK, Crypto, GPU (většinou AMD Radeon a Intel i915), HID, Iio, MD, PCI, SPI, TTY, a USB. Vyjádřeno v číslech, mění se 144 souborů, 1252 je přidáno a 602 vymazáno. Uživatelům větve 4.2 je doporučeno aktualizovat.

Kompletní seznam změn a novinek v kernelu 4.2.1 najdete v changelogu.

Chcete-li si tedy toto nejnovější stabilní jádro nainstalovat i v našem Linux Mintu, pak čtěte dál….

Jelikož se všechny potřebné .deb balíčky nacházejí v repozitáři kernel.ubuntu.com, je instalace jádra 4.2.1 v Linux Mintu poměrně snadná. Postupujte přesně podle pokynů pro architekturu, na níž je postaven váš počítač. To, zda máte 32-bitový (i686) nebo 64-bitový systém, zjistíte buď v Nastavení systému > System Info nebo zadáním tohoto příkazu v terminálu:

Příkaz terminálu:
uname -m

 

Upozorňuji vás, že aktualizace jádra v Linux Mintu je sice poměrně jednoduchá záležitost, vyžaduje však pokročilé znalosti systému a provádíte jí vždy na vlastní nebezpečí!

 

Instalace jádra 4.2.1 v 32-bitové verzi Linux Mintu

Opět použijeme příkaz „vše v jednom“. Vše budeme provádět pomocí terminálu, tak si jej otevřete a zadejte:

Příkazy terminálu:
cd /tmp; wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.2.1-unstable/linux-headers-4.2.1-040201-generic_4.2.1-040201.201509211431_i386.deb http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.2.1-unstable/linux-headers-4.2.1-040201_4.2.1-040201.201509211431_all.deb http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.2.1-unstable/linux-image-4.2.1-040201-generic_4.2.1-040201.201509211431_i386.deb; sudo dpkg -i *.deb

 

Instalace jádra 4.2.1 v 64-bitové verzi Linux Mintu

V terminálu zadejte:

Příkazy terminálu:
cd /tmp; wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.2.1-unstable/linux-headers-4.2.1-040201-generic_4.2.1-040201.201509211431_amd64.deb http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.2.1-unstable/linux-headers-4.2.1-040201_4.2.1-040201.201509211431_all.deb http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.2.1-unstable/linux-image-4.2.1-040201-generic_4.2.1-040201.201509211431_amd64.deb; sudo dpkg -i *.deb

Restartujte počítač a nové jádro by mělo být aktualizované. Pokud vám z nějakého důvodu nenajede, odstraňte jej zadáním příkazu:

Příkaz terminálu:
sudo apt-get remove 'linux-headers-4.2.1*' 'linux-image-4.2.1*'

 

Sám jsem otestoval tento nejnovější stabilní kernel na Linux Mintu 17.2 Rafaela s pracovním prostředím Mate, kde s mou hardwarovou konfigurací běhá naprosto bez problémů. V komentářích rád uvítám i vaše poznatky z instalace nového stabilního jádra do jiných verzí Linux Mintu.

Přeji hodně úspěchů při instalaci i práci s nejnovějším stabilním kernelem 4.2.1

 

Štítky , , , , , , .Záložka pro permanentní odkaz.

15 reakcí na Jak nainstalovat kernel 4.2.1 v Linux Mintu

  1. Kebab říká:

    UPOZORNĚNÍ že v mém případě přetrvává zádrhel s novým ovladačem nVidia 352.41 a jak jsem popsal již v diskuzi ke kernelu 4.2 a včetně toho, že jsem dohledal na webu že to je opravdu pro nejnovější ovladače chyba a která by měla být opravena.
    Nebyla opravena a v dohledaném logu (k 352.41) na jednom z prvních řádků a k jádru 4.2.1 hlásilo že: KERNEL CONFIGURATION IS INVALID plus byly další výstrahy úplným závěrem.
    Kernel jsem proto okamžitě odstranil a ani se nepokoušel pokračovat dál, už experimenty na kernelu 4.2 mě stály totiž potom asi další 2 hodiny času navíc včetně pátrání co s tím.
    Instaloval jsem z „nového“ kernelu 4.1.7 (možná bude vydán 4.1.8?) a na poprvé mně instalace zatuhla. Což mě překvapilo.

    • Kebab říká:

      4.1.8 je dostupný! A změny jsou stínovou verzí právě 4.2.1 protože stačí srovnat výčet změn z článku (pro 4.2.1) a to co se píše v odkazu k 4.1.8:
      http://news.softpedia.com/news/linux-kernel-4-1-8-lts-has-numerous-x86-fixes-updated-drivers-and-much-more-492339.shtml
      Toto píšu už pod 4.1.8 a použil jsem k instalaci příkazovou řádku třeba odtud:
      http://mintguide.org/system/490-install-linux-kernel-4-1-8-stable-on-linux-mint.html
      dle mne pro majitele grafáren nVidia s nejnovějšími ovladači to je (zatím) bezpečnější cesta než se pokoušet škádlit 4.2 a výš

    • Luky říká:

      Neskúšal si nový nVidia ovládač 355.1? Ja by som rád úvítal radu ako sprevádzkovať akékoľvek jadro 4.* s 352.41 (prípadne 355.11). Nijak sa mi to nedarí a to ani pri čístej inštalácii LMDE2 Cinnamon 64x. Poradí niekto ako na to?

      • Kebab říká:

        Cituji: „LMDE (Linux Mint Debian Edition) je velmi vzrušující distribuce, zaměřená na zkušené(!) uživatele, … “ a tím je myslím řečeno mnohé, navíc umocněno ve vztahu červeného(!) upozornění(!) ke každému článku zde a který se týká právě aktualizace jádra (kernelu).
        Tím myslím také to, že i já původně jsem chtěl upřednostnit a na prý jistotu právě debianní LMDE Mint před tím přežvýkaně z Debianu ubuntím, ale při odzkušování jsem byl ano natolik vzrušen, tj. co jsem chtěl mně moc v LMDE pro komplikace nefungovalo, že jsem a ještě rád poděkoval Ubuntu za velmi širokou základnu právě radilů a Mintu za dotažení jednotlivostí a detailů.
        To že máš Cinnamon 64 není důležité ale podstatná je tvá grafická karta, ty si musíš především zjistit na webu nVidia jaký ovladač ještě je pro tvoji grafiku … a v diskuzích k jádru jak se případně ten ovladač s ním pere nebo ne … a třeba já jsem právě pro mé GEFORCE GT 730 zjistil že posledním je (zatím) 352.41 a s 355.1 proto už po zkušenostech experimentovat já nebudu, je tu riziko ztráty času dávat potom systém do pořádku.
        Na problémy s některými kartami nVidia a ovladači bylo poukázáno v diskuzích u článků k prvním verzím řady 4 včetně návodu plus několik hlasů potvrdilo, že to tak do funkčnosti uvedli. Situace od 4.2 je však jak jsem pochopil jiná, dokud to jádro neupraví/neopraví tak já experimentovat nebudu i když některá řešení kudy a jak jsou na webu také po delším hledání k nalezení. Jednoduše si počkám, protože tolik času a s rizikem nejistého výsledku nemám. Já jsem jen trošinku poučený uživatel.

        • Luky říká:

          Ďakujem za rakciu. S PC mám určité skúsenosti, no s linuxom len cca 1-2 roky a v mnohých veciach som si celkom poradil. Rád skúmam a hľadám riešenia, výzva ako LMDE je u mňa vítaná, no po určitom počte neúspešných pokusov, nastupuje frustrácia. Ospravedlňujem sa, že som neuviedol bližšie info k PC. Kompatibilitu grafiky GeForce GT 650 Ti som si samozrejme overil. Nie som celkom doma v konfigurácii xorg.conf, čo je vlastne problém, na ktorý narazím po inštalácii ovládača. S nastavením xorg.conf od ovládača 340.* to fungovať nechce a štandardne vygenerovanou konfiguráciou tiež nie.

          • Kebab říká:

            Jak jsem se také teď díval tak ke tvé grafárně zatím končíš s ovladačem 352.41 a to další jsou experimenty a tím riziko.
            Já jsem si ale vzpomenul a tím opakuji to co jsem k LMDE napsal výše a subjektivně, že jsem měl komplikace také právě se zobrazením (ovšem je možné že tehdy jsem měl ještě starší grafiku ATI a nikoli co nyní nVidia) a na takovéto tzv. komplikace v roce 2015 já už nejsem stavěný. Nechci totiž investovat drahocenný čas tímto směrem když mám vážněšjí potřebu jinde a tak jsem se s LMDE nemilosrdně rozloučil. Takže frustrace se u mne nekonala.
            Jedu tedy pod klasickým Mintem s Xfce a jen tak na dokreslení, když byly právě před časem první komplilkace s ovladači a kernelem řady 4, také jsem se začal zvědavě zajímat a co na to xorg.conf … abych s údivem zjistil a cha chááá … že takový soubor já v PC nemám a dnes mně to potvrdil i tento náhodně a za asi 5 vteřin nalezený článek:
            http://forums.linuxmint.com/viewtopic.php?f=90&t=157335
            Před těmi téměř 15 lety jsem se jako zvídavec hrabal v ručně upravovaných konfigurácích ve Slackware a mj. právě v tom xorg.conf nebo tak podobně … no a jak vidíš doba pokročila … a v roce 2015 hrabat se nemám kde a musel bych ten soubor vytvořit sám jak je uvedeno mj. také v tom odkazu nahoře. Což neudělám protože je právě už ten rok 2015. Já bych ti doporučoval udělat to co já, přejít na normálka distribuci Mintu (tj. co je z Ubuntu) nehledě na to, že tak možných radilů budeš mít víc. Protože LMDE jak jsem poznal je náročnější odlišnost.

            • Luky říká:

              Díky za rady. Myslím, že LM 17.2 XFCE určite vyskúšam, len mám taký zvláštny pocit, akoby to bol krok späť…hlavne, keď sa zdá, že vývoj Mintu sa bude viac orientovať práve na LMDE vetvu.

        • Luky říká:

          K pokusom s PC by som snáď len toľko… kópiu disku na tu niektorý sa z povaľujúcich diskov mi nerobí problém.. a na ňom následne skúšať. Ak niečo nevíde, nič sa nedeje, vrátim sa k „default“ disku a pokračujem v bežnej práci ďalej… Čiže žiadna strata na opravy, nanajvíš čas pri laborovaní s inštaláciou, čo neberiem ako stratu, ale ako učenie sa 🙂

          • Win říká:

            Luky: učenie, testovanie, pokusy s novým operačným systémom nikdy nie sú strata času. Spomeň si koľko času si daroval windows. Možno raz príde nový vírus, ktorý odstaví všetky počítače s windows.

            • Luky říká:

              Beriem 🙂 ale niekedy tých možností je toľko. Tuto vyššie ma inšpiroval Kebab vyskúšaním si prostredia Xfce. A tak zvažujem najvhodnejšiu kombináciu LM vs. LMDE, Cinnamon vs. Xfce apod. Nejak sa neviem rozhodnúť. Ako som písal vyššie, pri predstave LMDE -> LM mám taký ten spiatočnícky pocit 😀

              • Kebab říká:

                Já se obávám že až příliš směle mícháš různorodé věci dohromady: distribuce Linuxu je jedna věc a prostředí je věc přece jiná. Já Xfce nikomu nevnucuji a tvé problémy z toho, co naznačuješ, s prostředím jestli Xfce nebo Cinnamon přece z podstaty nesouvisí.
                U distribuce LMDE jsem zcela na začátku a záměrně uvedl citaci, že je určena pro zkušené(!) uživatele a kterým ty (s prominutím protože zjevně) asi nejsi. A psal jsem to proto, že na LMDE jsem tzv. dojel i já (nějak poučený laik ale s nároky na úpravy systému) a komplikace které jsem měl u LMDE jsem neměl potom na klasickém Mintu: protože ten je a dle mne právě určený těm méně zkušeným a začátečníkům, opakuji jako jsem já.
                Prostě chci rychle a spolehlivě instalovat operační systém (s co nejméně dalším bádáním dál kolem) a chci na něm produktivně začít pracovat: produktivně pro mě není bádat hodiny v systému a o systému, když to je (mělo by být) podstatou zbytečné a vzhledem na to že je rok 2015. To že se člověk učí je v pořádku, ale opakovat mantru že ten kdo odmítá nedodělky a různé šumy tak že se prý nechce učit je veskrze falešné.
                Až Mint přestane být jednou ubuntí a stane se čistě debianní, bude muset být v jiné podobě, v podobě uživatelsky přívětivější a tím i méně náročnější než je dnes LMDE a zdůrazňuji … nikdo nebrání tomu abys se vzdělával a experimentoval, ovšem musíš potom přijmout ono riziko také i zbytečně zmarněného času a to, že jsi potom odkázán na libovůli někoho. Jestli ti odpoví nebo ne. Obávám se navíc, že u složitosti třeba toho na co se tu ptáš tak v tvých konkrétnostech tu ani není prostor a je třeba řešit věci na příslušném fóru. A i tom případně zahraničním.

              • Radek Dr říká:

                Luky: Pokud jsi opravdu začátečník tak LMDE moc nedoporučuji. Záhy zjistíš, že některé věci v klasickém Mintu běžně nastavitelné v LMDM bez znalosti úpravy konfiguráků nenastavíš. Příkladem buď taková hloupost, jako je BT myš – LMDE tvrdošíjně vyžaduje spárovat přes pin, což u myši jaksi nejde. A takových vychytávek je tam víc. To už jsem lépe dopadl s klasickým Debianem a doinstalovaným Cinnamonem. Ale na učení je to rozhodně dobrá varianta. Já se učím už asi 15 let a stále se považuji za začátečníka. 🙂

  2. golf33 říká:

    Na Lenovu ThinkPad E540 jede OK 🙂

  3. Tux říká:

    Luky jednoznačne si na správnej stránke. Prepni sa na kartu Ke stažení a stiahni si ISO obraz LM 17.2 Xfce alebo LM 17.2 MATE, napáľ na DVD, inštaluj a testuj. Ak ti to tvoj computer neutiahne vyskúšaj Xubuntu. .